VERSION 5.00
Begin VB.Form ExcelImport 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "ExcelImport"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Copyright 1996-2003, Vivek Nigam All Rights Reserved.
' Code contain copyrights by the author.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' You are free to use this code within your own applications,
' but you are expressly forbidden from selling or otherwise
' distributing this source code without prior written consent.
' This includes both posting free demo projects made from this
' code as well as reproducing the code in text or html format.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' #VBCode#************************************************************
   ' * Programmer Name  : Vivek Nigam
   ' * Web Site         :
   ' * E-Mail           : vivek.nigam19@hotmail.com
   ' * Date             : 08/07/2002
   ' * Time             : 11:49 AM
   ' * Module Name      : Read Data From Excell File
   ' *                    After modification Of the program u can Import Excell File in Database.
   ' * Module Filename  : ReadExcel.vbp
   ' * Procedure Name   :
   ' * Parameters       :
   ' *
   ' **********************************************************************
   ' * Comments         : Retrive Data From Excell File.
   ' *                    After modification Of the program u can Import Excell File in Database.
   ' **********************************************************************
Private Sub Form_Load()
On Error GoTo ErrorHandler   ' Enable error-handling routine.
    Dim objRsExcel As Object
    Set objRsExcel = CreateObject("ADODB.Recordset")
    Dim sConn As String
    Dim srtEmployeeName As String
    Dim strDepartment As String
    Dim strExcelPath As String
    Dim strExcelFileName As String
    Dim strSheetName As String
    
    strExcelPath = App.Path & "\"
    strExcelFileName = "Test.xls"
    strSheetName = "EmployeeDetails"
    
    objRsExcel.CursorLocation = 1
    objRsExcel.CursorType = 1
    objRsExcel.LockType = 1
    
    sConn = "DRIVER=Microsoft Excel Driver (*.xls);" & "DBQ=" & strExcelPath & strExcelFileName
    objRsExcel.Open "SELECT * FROM [" & strSheetName & "$]", sConn
    
    Do Until objRsExcel.EOF
        srtEmployeeName = IIf(Not IsNull(objRsExcel.Fields("Employee Name").Value), objRsExcel.Fields("Employee Name").Value, "Null")
        strDepartment = IIf(Not IsNull(objRsExcel.Fields("Department").Value), objRsExcel.Fields("Department").Value, "Null")
        MsgBox "Employee Name : " & srtEmployeeName & vbCr & "Department : " & strDepartment, vbOKOnly + vbInformation, App.Title
        objRsExcel.MoveNext
    Loop
    objRsExcel.Close
    Set objRsExcel = Nothing
    Unload Me
    Exit Sub           ' Exit to avoid handler.
ErrorHandler:                ' Error-handling routine.
'//Create Error Log File in Application Path
    Open App.Path & "\" & "ImportExcelFile.log" For Append As #1
    Write #1, "Error Number : " & Err.Number, "Error Description : " & Err.Description, Now ' Write comma-delimited data.
    Close #1 ' Close before reopening in another mode.
    '// Up to This
    Err.Clear
    End
End Sub
